summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Hesse2019-02-21 16:16:10 +0100
committerChristian Hesse2019-02-21 16:16:10 +0100
commitd34fd5100e59395167574156537a5af361400f49 (patch)
treef8a93bd129d535f22c6e0e7b006a52014b5df259
parentdd75bd7b83d501f1cbec1782685cb88fc23c1933 (diff)
downloadaur-d34fd5100e59395167574156537a5af361400f49.tar.gz
commit claws-mail-git 3.17.3.r103.g33f351e45
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD8
2 files changed, 9 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 2d845129578..f5e7d8d0d62 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = claws-mail-git
pkgdesc = A GTK+ based e-mail client - git checkout
- pkgver = 3.17.2.r1.g8f5e5040e
+ pkgver = 3.17.3.r103.g33f351e45
pkgrel = 1
url = https://www.claws-mail.org/
arch = i686
@@ -16,6 +16,7 @@ pkgbase = claws-mail-git
makedepends = poppler-glib
makedepends = pygtk
makedepends = dillo
+ makedepends = gumbo-parser
makedepends = docbook-utils
makedepends = texlive-core
makedepends = texlive-formatsextra
@@ -44,7 +45,8 @@ pkgbase = claws-mail-git
optdepends = libgdata: for gdata plugin
optdepends = poppler-glib: for pdf viewer plugin
optdepends = ghostscript: for pdf viewer plugin
- optdepends = dillo: for html viewer plugin
+ optdepends = gumbo-parser: for litehtml_viewer plugin
+ optdepends = dillo: for dillo html viewer plugin
provides = claws
provides = claws-mail
conflicts = claws-mail-extra-plugins
diff --git a/PKGBUILD b/PKGBUILD
index a786ccb55eb..89a079d9987 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Christian Hesse <mail@eworm.de>
pkgname=claws-mail-git
-pkgver=3.17.2.r1.g8f5e5040e
+pkgver=3.17.3.r103.g33f351e45
pkgrel=1
pkgdesc='A GTK+ based e-mail client - git checkout'
arch=('i686' 'x86_64')
@@ -11,7 +11,7 @@ depends=('gtk2' 'gnutls' 'startup-notification' 'enchant' 'gpgme' 'libetpan' 'co
'libsm' 'dbus-glib' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('git' 'spamassassin' 'bogofilter' 'valgrind'
# dependencies for plugins
- 'libgdata' 'libnotify' 'libcanberra' 'poppler-glib' 'pygtk' 'dillo'
+ 'libgdata' 'libnotify' 'libcanberra' 'poppler-glib' 'pygtk' 'dillo' 'gumbo-parser'
# deps to build the docs
'docbook-utils' 'texlive-core' 'texlive-formatsextra')
optdepends=('python2: needed for some tools and python plugin'
@@ -28,7 +28,8 @@ optdepends=('python2: needed for some tools and python plugin'
'libgdata: for gdata plugin'
'poppler-glib: for pdf viewer plugin'
'ghostscript: for pdf viewer plugin'
- 'dillo: for html viewer plugin')
+ 'gumbo-parser: for litehtml_viewer plugin'
+ 'dillo: for dillo html viewer plugin')
replaces=('sylpheed-claws' 'claws-mail-extra-plugins')
conflicts=('claws-mail-extra-plugins' 'claws-mail')
provides=('claws' 'claws-mail')
@@ -82,6 +83,7 @@ build() {
--enable-enchant \
--enable-gnutls \
--enable-ldap \
+ --enable-litehtml_viewer-plugin \
--enable-pgpmime-plugin \
--enable-silent-rules \
--enable-spamassassin-plugin